Assistance #248

version du serveur Mysql : la documentation préconise la version 5.6

Added by Jean-François Gore about 4 years ago. Updated about 4 years ago.

Status:Résolu Start date:10/28/2015
Priority:Normal Due date:10/29/2015
Assignee:Jean-François Gore % Done:

100%

Category:- Spent time: -
Target version:-

Description

1/ Erreur obtenue avec la version 5.5 : ERROR 1067 (42000) at line 2129: Invalid default value for 'dateAsking'
La table qui bug est la dernière user_validation et plus précisément : dateAsking` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
<< Sql n'aime pas la valeur par défaut CURRENT_TIMESTAMP. D'après mes recherches une variable de type datetime ne peut pas recevoir cette valeur par défaut. J'ai donc changé la ligne comme suis et cela a fonctionné pour sql : `dateAsking` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP, >>

2/ explication : L'erreur obtenue a été corrigée depuis la 5.6.5 : http://dev.mysql.com/doc/refman/5.6/en/timestamp-initialization.html

3/ L'explication d'installation des serveurs (Tomcat/Mysql) doit être adapté par chacun par rapport à son environnement et son systeme d'exploitation. Il est tout à fait possible d'installer opuslib sur Windows ou MacOS en respectant les recommandations de serveur.

History

#1 Updated by Jean-François Gore about 4 years ago

Jean-François Gore a écrit :

1/ Erreur obtenue avec la version 5.5 : ERROR 1067 (42000) at line 2129: Invalid default value for 'dateAsking'
La table qui bug est la dernière user_validation et plus précisément : dateAsking` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
<< Sql n'aime pas la valeur par défaut CURRENT_TIMESTAMP. D'après mes recherches une variable de type datetime ne peut pas recevoir cette valeur par défaut. J'ai donc changé la ligne comme suis et cela a fonctionné pour sql : `dateAsking` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP, >>

2/ explication : L'erreur obtenue a été corrigée depuis la 5.6.5 : http://dev.mysql.com/doc/refman/5.6/en/timestamp-initialization.html

3/ L'explication d'installation des serveurs (Tomcat/Mysql) doit être adaptée par chacun par rapport à son environnement et son systeme d'exploitation. Il est tout à fait possible d'installer opuslib sur Windows ou MacOS en respectant les recommandations de serveur.

Also available in: Atom PDF